#!/usr/bin/env bash

set -e

export NAME=cmake-elementary
export VERSION=0.1.0
export REPO=https://github.com/elementary/cmake-modules.git

# generating the cmake-elementary tarball from git

git clone $REPO $NAME

pushd $NAME

export COMMIT=$(git rev-parse HEAD)
export SHORTCOMMIT=$(echo $COMMIT | cut -c1-7)
export COMMITDATE=$(git show -s --format=%cd --date=format:'%Y%m%d')
export PREFIX=$NAME-$VERSION.$COMMITDATE.git$SHORTCOMMIT

git archive --format="tar.gz" --prefix="$PREFIX/" --output "../$PREFIX.tar.gz" $COMMIT

popd

rm -rf $NAME

